Package org.w3._1999.xhtml

# Class Object

java.lang.Object
org.w3._1999.xhtml.Object

public class Object extends Object
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <choice maxOccurs="unbounded" minOccurs="0"> <element ref="{http://www.w3.org/1999/xhtml}param"/> <group ref="{http://www.w3.org/1999/xhtml}block"/> <element ref="{http://www.w3.org/1999/xhtml}form"/> <group ref="{http://www.w3.org/1999/xhtml}inline"/> <group ref="{http://www.w3.org/1999/xhtml}misc"/> </choice> <attGroup ref="{http://www.w3.org/1999/xhtml}attrs"/> <attribute name="declare"> <simpleType> <restriction base="{http://www.w3.org/2001/XMLSchema}token"> <enumeration value="declare"/> </restriction> </simpleType> </attribute> <attribute name="classid" type="{http://www.w3.org/1999/xhtml}URI" /> <attribute name="codebase" type="{http://www.w3.org/1999/xhtml}URI" /> <attribute name="data" type="{http://www.w3.org/1999/xhtml}URI" /> <attribute name="type" type="{http://www.w3.org/1999/xhtml}ContentType" /> <attribute name="codetype" type="{http://www.w3.org/1999/xhtml}ContentType" /> <attribute name="archive" type="{http://www.w3.org/1999/xhtml}UriList" /> <attribute name="standby" type="{http://www.w3.org/1999/xhtml}Text" /> <attribute name="height" type="{http://www.w3.org/1999/xhtml}Length" /> <attribute name="width" type="{http://www.w3.org/1999/xhtml}Length" /> <attribute name="usemap" type="{http://www.w3.org/1999/xhtml}URI" /> <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" /> <attribute name="tabindex" type="{http://www.w3.org/1999/xhtml}tabindexNumber" /> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `archive`
  `protected String`
  `classid`
  `protected List<String>`
  `clazz`
  `protected String`
  `codebase`
  `protected String`
  `codetype`
  `protected List<Object>`
  `content`
  `protected String`
  `data`
  `protected String`
  `declare`
  `protected String`
  `dir`
  `protected String`
  `height`
  `protected String`
  `id`
  `protected String`
  `lang`
  `protected String`
  `name`
  `protected String`
  `onclick`
  `protected String`
  `ondblclick`
  `protected String`
  `onkeydown`
  `protected String`
  `onkeypress`
  `protected String`
  `onkeyup`
  `protected String`
  `onmousedown`
  `protected String`
  `onmousemove`
  `protected String`
  `onmouseout`
  `protected String`
  `onmouseover`
  `protected String`
  `onmouseup`
  `protected String`
  `standby`
  `protected String`
  `style`
  `protected Integer`
  `tabindex`
  `protected String`
  `title`
  `protected String`
  `type`
  `protected String`
  `usemap`
  `protected String`
  `width`
  `protected String`
  `xmlLang`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Object()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArchive()`
  Gets the value of the archive property.
  `String`
  `getClassid()`
  Gets the value of the classid property.
  `List<String>`
  `getClazz()`
  Gets the value of the clazz property.
  `String`
  `getCodebase()`
  Gets the value of the codebase property.
  `String`
  `getCodetype()`
  Gets the value of the codetype property.
  `List<Object>`
  `getContent()`
  Gets the value of the content property.
  `String`
  `getData()`
  Gets the value of the data property.
  `String`
  `getDeclare()`
  Gets the value of the declare property.
  `String`
  `getDir()`
  Gets the value of the dir property.
  `String`
  `getHeight()`
  Gets the value of the height property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLang()`
  Gets the value of the lang property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getOnclick()`
  Gets the value of the onclick property.
  `String`
  `getOndblclick()`
  Gets the value of the ondblclick property.
  `String`
  `getOnkeydown()`
  Gets the value of the onkeydown property.
  `String`
  `getOnkeypress()`
  Gets the value of the onkeypress property.
  `String`
  `getOnkeyup()`
  Gets the value of the onkeyup property.
  `String`
  `getOnmousedown()`
  Gets the value of the onmousedown property.
  `String`
  `getOnmousemove()`
  Gets the value of the onmousemove property.
  `String`
  `getOnmouseout()`
  Gets the value of the onmouseout property.
  `String`
  `getOnmouseover()`
  Gets the value of the onmouseover property.
  `String`
  `getOnmouseup()`
  Gets the value of the onmouseup property.
  `String`
  `getStandby()`
  Gets the value of the standby property.
  `String`
  `getStyle()`
  Gets the value of the style property.
  `Integer`
  `getTabindex()`
  Gets the value of the tabindex property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `String`
  `getType()`
  Gets the value of the type property.
  `String`
  `getUsemap()`
  Gets the value of the usemap property.
  `String`
  `getWidth()`
  Gets the value of the width property.
  `String`
  `getXmlLang()`
  Gets the value of the xmlLang property.
  `void`
  `setArchive(String value)`
  Sets the value of the archive property.
  `void`
  `setClassid(String value)`
  Sets the value of the classid property.
  `void`
  `setCodebase(String value)`
  Sets the value of the codebase property.
  `void`
  `setCodetype(String value)`
  Sets the value of the codetype property.
  `void`
  `setData(String value)`
  Sets the value of the data property.
  `void`
  `setDeclare(String value)`
  Sets the value of the declare property.
  `void`
  `setDir(String value)`
  Sets the value of the dir property.
  `void`
  `setHeight(String value)`
  Sets the value of the height property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setOnclick(String value)`
  Sets the value of the onclick property.
  `void`
  `setOndblclick(String value)`
  Sets the value of the ondblclick property.
  `void`
  `setOnkeydown(String value)`
  Sets the value of the onkeydown property.
  `void`
  `setOnkeypress(String value)`
  Sets the value of the onkeypress property.
  `void`
  `setOnkeyup(String value)`
  Sets the value of the onkeyup property.
  `void`
  `setOnmousedown(String value)`
  Sets the value of the onmousedown property.
  `void`
  `setOnmousemove(String value)`
  Sets the value of the onmousemove property.
  `void`
  `setOnmouseout(String value)`
  Sets the value of the onmouseout property.
  `void`
  `setOnmouseover(String value)`
  Sets the value of the onmouseover property.
  `void`
  `setOnmouseup(String value)`
  Sets the value of the onmouseup property.
  `void`
  `setStandby(String value)`
  Sets the value of the standby property.
  `void`
  `setStyle(String value)`
  Sets the value of the style property.
  `void`
  `setTabindex(Integer value)`
  Sets the value of the tabindex property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.
  `void`
  `setType(String value)`
  Sets the value of the type property.
  `void`
  `setUsemap(String value)`
  Sets the value of the usemap property.
  `void`
  `setWidth(String value)`
  Sets the value of the width property.
  `void`
  `setXmlLang(String value)`
  Sets the value of the xmlLang property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### content

    protected List<Object> content

  - ### declare

    protected String declare

  - ### classid

    protected String classid

  - ### codebase

    protected String codebase

  - ### data

    protected String data

  - ### type

    protected String type

  - ### codetype

    protected String codetype

  - ### archive

    protected String archive

  - ### standby

    protected String standby

  - ### height

    protected String height

  - ### width

    protected String width

  - ### usemap

    protected String usemap

  - ### name

    protected String name

  - ### tabindex

    protected Integer tabindex

  - ### lang

    protected String lang

  - ### xmlLang

    protected String xmlLang

  - ### dir

    protected String dir

  - ### id

    protected String id

  - ### clazz

    protected List<String> clazz

  - ### style

    protected String style

  - ### title

    protected String title

  - ### onclick

    protected String onclick

  - ### ondblclick

    protected String ondblclick

  - ### onmousedown

    protected String onmousedown

  - ### onmouseup

    protected String onmouseup

  - ### onmouseover

    protected String onmouseover

  - ### onmousemove

    protected String onmousemove

  - ### onmouseout

    protected String onmouseout

  - ### onkeypress

    protected String onkeypress

  - ### onkeydown

    protected String onkeydown

  - ### onkeyup

    protected String onkeyup

- ## Constructor Details

  - ### Object

    public Object()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

         getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `String` `A` `Abbr` `Acronym` `Address` `B` `Bdo` `Big` `Blockquote` `Br` `Button` `Cite` `Code` `Del` `Dfn` `Div` `Dl` `Em` `Fieldset` `Form` `H1` `H2` `H3` `H4` `H5` `H6` `Hr` `I` `Img` `Input` `Ins` `Kbd` `Label` `Map` `Noscript` `Object` `Ol` `P` `Param` `Pre` `Q` `Samp` `Script` `Select` `Small` `Span` `Strong` `Sub` `Sup` `Table` `Textarea` `Tt` `Ul` `Var`

    Returns:
      The value of the content property.

  - ### getDeclare

    public String getDeclare()
    Gets the value of the declare property.
    Returns:
      possible object is `String`

  - ### setDeclare

    public void setDeclare(String value)
    Sets the value of the declare property.
    Parameters:
      `value` - allowed object is `String`

  - ### getClassid

    public String getClassid()
    Gets the value of the classid property.
    Returns:
      possible object is `String`

  - ### setClassid

    public void setClassid(String value)
    Sets the value of the classid property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCodebase

    public String getCodebase()
    Gets the value of the codebase property.
    Returns:
      possible object is `String`

  - ### setCodebase

    public void setCodebase(String value)
    Sets the value of the codebase property.
    Parameters:
      `value` - allowed object is `String`

  - ### getData

    public String getData()
    Gets the value of the data property.
    Returns:
      possible object is `String`

  - ### setData

    public void setData(String value)
    Sets the value of the data property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCodetype

    public String getCodetype()
    Gets the value of the codetype property.
    Returns:
      possible object is `String`

  - ### setCodetype

    public void setCodetype(String value)
    Sets the value of the codetype property.
    Parameters:
      `value` - allowed object is `String`

  - ### getArchive

    public String getArchive()
    Gets the value of the archive property.
    Returns:
      possible object is `String`

  - ### setArchive

    public void setArchive(String value)
    Sets the value of the archive property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStandby

    public String getStandby()
    Gets the value of the standby property.
    Returns:
      possible object is `String`

  - ### setStandby

    public void setStandby(String value)
    Sets the value of the standby property.
    Parameters:
      `value` - allowed object is `String`

  - ### getHeight

    public String getHeight()
    Gets the value of the height property.
    Returns:
      possible object is `String`

  - ### setHeight

    public void setHeight(String value)
    Sets the value of the height property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidth

    public String getWidth()
    Gets the value of the width property.
    Returns:
      possible object is `String`

  - ### setWidth

    public void setWidth(String value)
    Sets the value of the width property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUsemap

    public String getUsemap()
    Gets the value of the usemap property.
    Returns:
      possible object is `String`

  - ### setUsemap

    public void setUsemap(String value)
    Sets the value of the usemap property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTabindex

    public Integer getTabindex()
    Gets the value of the tabindex property.
    Returns:
      possible object is `Integer`

  - ### setTabindex

    public void setTabindex(Integer value)
    Sets the value of the tabindex property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getLang

    public String getLang()
    Gets the value of the lang property.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getXmlLang

    public String getXmlLang()
    Gets the value of the xmlLang property.
    Returns:
      possible object is `String`

  - ### setXmlLang

    public void setXmlLang(String value)
    Sets the value of the xmlLang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDir

    public String getDir()
    Gets the value of the dir property.
    Returns:
      possible object is `String`

  - ### setDir

    public void setDir(String value)
    Sets the value of the dir property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getClazz

    public List<String> getClazz()
    Gets the value of the clazz property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the clazz property.

    For example, to add a new item, do as follows:

         getClazz().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the clazz property.

  - ### getStyle

    public String getStyle()
    Gets the value of the style property.
    Returns:
      possible object is `String`

  - ### setStyle

    public void setStyle(String value)
    Sets the value of the style property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnclick

    public String getOnclick()
    Gets the value of the onclick property.
    Returns:
      possible object is `String`

  - ### setOnclick

    public void setOnclick(String value)
    Sets the value of the onclick property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOndblclick

    public String getOndblclick()
    Gets the value of the ondblclick property.
    Returns:
      possible object is `String`

  - ### setOndblclick

    public void setOndblclick(String value)
    Sets the value of the ondblclick property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmousedown

    public String getOnmousedown()
    Gets the value of the onmousedown property.
    Returns:
      possible object is `String`

  - ### setOnmousedown

    public void setOnmousedown(String value)
    Sets the value of the onmousedown property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmouseup

    public String getOnmouseup()
    Gets the value of the onmouseup property.
    Returns:
      possible object is `String`

  - ### setOnmouseup

    public void setOnmouseup(String value)
    Sets the value of the onmouseup property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmouseover

    public String getOnmouseover()
    Gets the value of the onmouseover property.
    Returns:
      possible object is `String`

  - ### setOnmouseover

    public void setOnmouseover(String value)
    Sets the value of the onmouseover property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmousemove

    public String getOnmousemove()
    Gets the value of the onmousemove property.
    Returns:
      possible object is `String`

  - ### setOnmousemove

    public void setOnmousemove(String value)
    Sets the value of the onmousemove property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmouseout

    public String getOnmouseout()
    Gets the value of the onmouseout property.
    Returns:
      possible object is `String`

  - ### setOnmouseout

    public void setOnmouseout(String value)
    Sets the value of the onmouseout property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnkeypress

    public String getOnkeypress()
    Gets the value of the onkeypress property.
    Returns:
      possible object is `String`

  - ### setOnkeypress

    public void setOnkeypress(String value)
    Sets the value of the onkeypress property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnkeydown

    public String getOnkeydown()
    Gets the value of the onkeydown property.
    Returns:
      possible object is `String`

  - ### setOnkeydown

    public void setOnkeydown(String value)
    Sets the value of the onkeydown property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnkeyup

    public String getOnkeyup()
    Gets the value of the onkeyup property.
    Returns:
      possible object is `String`

  - ### setOnkeyup

    public void setOnkeyup(String value)
    Sets the value of the onkeyup property.
    Parameters:
      `value` - allowed object is `String`